package com.zcloud.basic.info.domain.gateway;

import com.zcloud.basic.info.domain.model.CorpFormE;

import java.util.List;

/**
 * web-domain
 *
 * @Author zhaokai
 * @Date 2025-10-29 16:02:27
 */
public interface CorpFormGateway {

    /**
     * 新增
     */
    Boolean add(CorpFormE corpFormE);

    /**
     * 修改
     */
    Boolean update(CorpFormE corpFormE);

    /**
     * 删除
     */
    Boolean deletedCorpFormById(Long id);

    Boolean deletedCorpFormByIds(Long[] id);


    void deletedCorpFormByType(Long corpInfoId, List<Integer> typeList);
    void deletedCorpFormByType(Long corpInfoId, Integer type);
}

